API Explorer 936 endpoints

Get Customers by Legal Name

POST /obp/v7.0.0/banks/BANK_ID/customers/legal-name

OBPv6.0.0-getCustomersByLegalName Roles: CanGetCustomersAtOneBank(per bank) CustomerKYC

Gets the Customers specified by Legal Name.

Returns a list of customers that match the provided legal name.

Date Format: In v6.0.0, date_of_birth and dob_of_dependants are returned in ISO 8601 date format: YYYY-MM-DD (e.g., "1990-05-15", "2010-03-20").

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

JSON request body fields (1)
legal_name
Eveline Tripman
JSON response body fields (29)
amount
10.12
bank_id
gh.29.uk
branch_id
DERBY6
currency
EUR
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_number
5987953
customer_type
INDIVIDUAL
customers
date
2020-01-27
date_of_birth
2018-03-09
dependants
1
dob_of_dependants
[2019-09-08, 2017-07-12]
email
felixsmith@example.com
employment_status
worker
face_image
highest_education_attained
Master
kyc_status
false
last_ok_date
2025-10-21T01:45:31.340Z
legal_name
Eveline Tripman
mobile_phone_number
+49 30 901820
name_suffix
Sr
parent_customer_id
rating
relationship_status
single
source
title
Dr.
url
http://www.example.com/id-docs/123/image.png
credit_limit
credit_rating
Example request body
{
  "legal_name": "John Smith"
}
Example success response
{
  "customers": [
    {
      "bank_id": "gh.29.uk",
      "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "customer_number": "5987953",
      "legal_name": "Eveline Tripman",
      "mobile_phone_number": "+44 07972 444 876",
      "email": "felixsmith@example.com",
      "face_image": {
        "url": "www.openbankproject",
        "date": "1100-01-01T00:00:00Z"
      },
      "date_of_birth": "1990-05-15",
      "relationship_status": "single",
      "dependants": 1,
      "dob_of_dependants": [
        "2015-03-20",
        "2018-07-10"
      ],
      "credit_rating": {
        "rating": "OBP",
        "source": "OBP"
      },
      "credit_limit": {
        "currency": "EUR",
        "amount": "0"
      },
      "highest_education_attained": "Master",
      "employment_status": "worker",
      "kyc_status": false,
      "last_ok_date": "2025-10-21T01:45:41Z",
      "title": "Dr.",
      "branch_id": "DERBY6",
      "name_suffix": "Sr",
      "customer_type": "INDIVIDUAL",
      "parent_customer_id": ""
    }
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30008: User Customer Link not found by USER_ID
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv6.0.0 getCustomersByLegalName Originally /obp/v6.0.0/banks/BANK_ID/customers/legal-name